Python
from openlayer import Openlayer
client = Openlayer()
response = client.inference_pipelines.rows.retrieve(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id="c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
)
print(response.row)
import Openlayer from 'openlayer';
const client = new Openlayer();
const row = await client.inferencePipelines.rows.retrieve('0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f', {
inferencePipelineId: 'c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f',
});
console.log(row);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
row, err := client.InferencePipelines.Rows.Get(
context.TODO(),
"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", row.Row)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.inferencepipelines.rows.RowRetrieveParams;
import com.openlayer.api.models.inferencepipelines.rows.RowRetrieveResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
RowRetrieveParams params = RowRetrieveParams.builder()
.inferencePipelineId("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
.inferenceId("0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f")
.build();
RowRetrieveResponse row = client.inferencePipelines().rows().retrieve(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
row = openlayer.inference_pipelines.rows.retrieve(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id: "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"
)
puts(row)
curl --request GET \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
--header 'Authorization: Bearer <token>'
{
"row": {},
"success": true
}{
"code": 123,
"error": "<string>"
}Monitoring
Retrieve record
Retrieve a record by its ID from a data source (formerly known as “inference pipeline”).
Python
from openlayer import Openlayer
client = Openlayer()
response = client.inference_pipelines.rows.retrieve(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id="c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
)
print(response.row)
import Openlayer from 'openlayer';
const client = new Openlayer();
const row = await client.inferencePipelines.rows.retrieve('0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f', {
inferencePipelineId: 'c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f',
});
console.log(row);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
row, err := client.InferencePipelines.Rows.Get(
context.TODO(),
"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", row.Row)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.inferencepipelines.rows.RowRetrieveParams;
import com.openlayer.api.models.inferencepipelines.rows.RowRetrieveResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
RowRetrieveParams params = RowRetrieveParams.builder()
.inferencePipelineId("c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f")
.inferenceId("0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f")
.build();
RowRetrieveResponse row = client.inferencePipelines().rows().retrieve(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
row = openlayer.inference_pipelines.rows.retrieve(
"0f1e2d3c-4b5a-4968-8776-5a4b3c2d1e0f",
inference_pipeline_id: "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"
)
puts(row)
curl --request GET \
--url https://api.openlayer.com/v1/inference-pipelines/{inferencePipelineId}/rows/{inferenceId} \
--header 'Authorization: Bearer <token>'
{
"row": {},
"success": true
}{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The inference pipeline id (a UUID).
Was this page helpful?